d3.csv('https://gist.githubusercontent.com/sreepavanKothapalli/032939476ee89be16eefdb2ee0529834/raw/9c0786abfa477917dafb91b4276b6401b66c9906/Iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_length'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(217, 217, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_width'),
	mode: 'markers',
	marker: {
		color: 'rgb(127, 127, 127)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(204, 204, 204)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
